## org.apache.batik.dom.events
Class DOMTextEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent
          org.apache.batik.dom.events.DOMUIEvent
              org.apache.batik.dom.events.DOMTextEvent

All Implemented Interfaces:
  java.lang.Cloneable, OriginalEvent, Event, TextEvent, UIEvent

    public class DOMTextEvent

extends DOMUIEvent
implements TextEvent

Class to implement DOM 3 Text events.

Field Summary
`protected java.lang.String` `data` The text data.

Fields inherited from class org.apache.batik.dom.events.AbstractEvent
`bubbleLimit, cancelable, currentTarget, defaultActions, eventPhase, isBubbling, namespaceURI, originalEvent, preventDefault, stopImmediatePropagation, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`DOMTextEvent()`

Method Summary
`java.lang.String` `getData()` Returns the text data.
`void` `initTextEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, org.w3c.dom.views.AbstractView viewArg, java.lang.String dataArg)` DOM: Initializes this TextEvent.
`void` `initTextEventNS(java.lang.String namespaceURIArg, java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, org.w3c.dom.views.AbstractView viewArg, java.lang.String dataArg)` DOM: Initializes this TextEvent.

Methods inherited from class org.apache.batik.dom.events.DOMUIEvent
`getDetail, getView, initUIEvent, initUIEventNS, split`

Methods inherited from class org.apache.batik.dom.events.AbstractEvent
`addDefaultAction, clone, cloneEvent, getBubbleLimit, getBubbles, getCancelable, getCurrentTarget, getDefaultActions, getDefaultPrevented, getEventPhase, getNamespaceURI, getOriginalEvent, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, setBubbleLimit, stopImmediatePropagation, stopPropagation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.UIEvent
`getDetail, getView, initUIEvent, initUIEventNS`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Field Detail

### data

    protected java.lang.String data

  The text data.

Constructor Detail

### DOMTextEvent

    public DOMTextEvent()

Method Detail

### getData

    public java.lang.String getData()

  Returns the text data.

  Specified by:
    `getData` in interface `TextEvent`

### initTextEvent

    public void initTextEvent(java.lang.String typeArg,
                              boolean canBubbleArg,
                              boolean cancelableArg,
                              org.w3c.dom.views.AbstractView viewArg,
                              java.lang.String dataArg)

  DOM: Initializes this TextEvent.

  Specified by:
    `initTextEvent` in interface `TextEvent`
  Parameters:
    `typeArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.
    `cancelableArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.
    `viewArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.
    `dataArg` - Specifies `TextEvent.data`.

### initTextEventNS

    public void initTextEventNS(java.lang.String namespaceURIArg,
                                java.lang.String typeArg,
                                boolean canBubbleArg,
                                boolean cancelableArg,
                                org.w3c.dom.views.AbstractView viewArg,
                                java.lang.String dataArg)

  DOM: Initializes this TextEvent.

  Specified by:
    `initTextEventNS` in interface `TextEvent`
  Parameters:
    `namespaceURIArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `typeArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `cancelableArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `viewArg` - Refer to the `UIEvent.initUIEventNS()` method for a description of this parameter.
    `dataArg` - Refer to the `TextEvent.initTextEvent()` method for a description of this parameter.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.